Get one brand’s lifecycle state
curl --request GET \
--url https://brew.new/api/v1/brands/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://brew.new/api/v1/brands/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://brew.new/api/v1/brands/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://brew.new/api/v1/brands/{brandId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://brew.new/api/v1/brands/{brandId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://brew.new/api/v1/brands/{brandId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://brew.new/api/v1/brands/{brandId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brandId": "kx9d1p2qbrxy4nkm55ftz3lmvn21abcd",
"domain": "acme.com",
"status": "extracting",
"ready": false,
"progress": 0,
"phase": "analyzing",
"createdAt": "2026-04-08T12:00:00.000Z",
"updatedAt": "2026-04-08T12:00:00.000Z"
}
Brands
Get one brand’s lifecycle state
The polling endpoint for POST /v1/brands. Reports status, progress and phase while extracting, and error when extraction failed. Terminal states are completed and failed.
For the brand’s DESIGN CONTEXT (identity, markdown design system, logos) use GET /v1/brand instead.
GET
/
v1
/
brands
/
{brandId}
Get one brand’s lifecycle state
curl --request GET \
--url https://brew.new/api/v1/brands/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://brew.new/api/v1/brands/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://brew.new/api/v1/brands/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://brew.new/api/v1/brands/{brandId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://brew.new/api/v1/brands/{brandId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://brew.new/api/v1/brands/{brandId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://brew.new/api/v1/brands/{brandId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brandId": "kx9d1p2qbrxy4nkm55ftz3lmvn21abcd",
"domain": "acme.com",
"status": "extracting",
"ready": false,
"progress": 0,
"phase": "analyzing",
"createdAt": "2026-04-08T12:00:00.000Z",
"updatedAt": "2026-04-08T12:00:00.000Z"
}
Authorizations
bearerAuthapiKeyAuth
Send your Brew API key as Authorization: Bearer brew_xxx.
Path Parameters
Brand id (opaque Convex document id) returned by POST /v1/brands and listed by GET /v1/brands.
Required string length:
1 - 64Example:
"kx7b3s7fapqz8mjm12ekz1kxdx87yceg"
Response
The brand.
Minimum string length:
1Minimum string length:
1Available options:
extracting, completed, failed, deleting Required range:
0 <= x <= 100Was this page helpful?